{
        "name" : "OktaGetUsers",
        "displayName" : "OktaGetUsers",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.okta.GetUsersWorkitemHandler(\"apiToken\")",
        "documentation" : "okta-workitem/index.html",
        "module" : "okta-workitem",
        "icon" : "OktaGetUsers.png",
            "category" : "Okta",
            "description" : "Interact with Okta management API",
            "keywords" : [
                                "okta"
                ,"auth"
                ,"users"
                ,"get"

            ],
                "isaction" : "true",
                "actiontitle" : "Get users from Okta",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Okta api token"
                                           }

                ],
                "authreferencesite" : "https://developer.okta.com/",
            "parameters" : [
                                   {
                                       "name" : "UserIds",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Users",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "okta-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "OktaCreateGroup",
        "displayName" : "OktaCreateGroup",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.okta.CreateGroupWorkitemHandler(\"apiToken\")",
        "documentation" : "okta-workitem/index.html",
        "module" : "okta-workitem",
        "icon" : "OktaCreateGroup.png",
            "category" : "Okta",
            "description" : "Interact with Okta management API",
            "keywords" : [
                                "okta"
                ,"auth"
                ,"group"
                ,"create"

            ],
                "isaction" : "true",
                "actiontitle" : "Create new group to Okta",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Okta api token"
                                           }

                ],
                "authreferencesite" : "https://developer.okta.com/",
            "parameters" : [
                                   {
                                       "name" : "GroupName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "GroupDescription",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "GroupId",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "okta-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "OktaAddUserToGroup",
        "displayName" : "OktaAddUserToGroup",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.okta.AddUserToGroupWorkitemHandler(\"apiToken\")",
        "documentation" : "okta-workitem/index.html",
        "module" : "okta-workitem",
        "icon" : "OktaAddUserToGroup.png",
            "category" : "Okta",
            "description" : "Interact with Okta management API",
            "keywords" : [
                                "okta"
                ,"auth"
                ,"user"
                ,"add"
                ,"group"

            ],
                "isaction" : "true",
                "actiontitle" : "Add user to group in Okta",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Okta api token"
                                           }

                ],
                "authreferencesite" : "https://developer.okta.com/",
            "parameters" : [
                                   {
                                       "name" : "UserId",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "GroupId",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "okta-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "OktaGetApplications",
        "displayName" : "OktaGetApplications",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.okta.GetApplicationsWorkitemHandler(\"apiToken\")",
        "documentation" : "okta-workitem/index.html",
        "module" : "okta-workitem",
        "icon" : "OktaGetApplications.png",
            "category" : "Okta",
            "description" : "Interact with Okta management API",
            "keywords" : [
                                "okta"
                ,"auth"
                ,"application"
                ,"get"

            ],
                "isaction" : "true",
                "actiontitle" : "Get applications from Okta",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Okta api token"
                                           }

                ],
                "authreferencesite" : "https://developer.okta.com/",
            "parameters" : [
                                   {
                                       "name" : "AppIds",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Applications",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "okta-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "OktaCreateUser",
        "displayName" : "OktaCreateUser",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.okta.CreateUserWorkitemHandler(\"apiToken\")",
        "documentation" : "okta-workitem/index.html",
        "module" : "okta-workitem",
        "icon" : "OktaCreateUser.png",
            "category" : "Okta",
            "description" : "Interact with Okta management API",
            "keywords" : [
                                "okta"
                ,"auth"
                ,"user"
                ,"create"

            ],
                "isaction" : "true",
                "actiontitle" : "Create new user to Okta",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Okta api token"
                                           }

                ],
                "authreferencesite" : "https://developer.okta.com/",
            "parameters" : [
                                   {
                                       "name" : "UserActive",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "UserSecurityQuestion",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "UserGroupIds",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "UserLastName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "UserPassword",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "UserFirstName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "UserSecurityAnswer",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "UserEmail",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "UserLogin",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "UserId",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "okta-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
